import request from '@/utils/request'

// 查询检查任务列表
export function listCheckTask(query) {
  return request({
    url: '/check/checkTask/list',
    method: 'get',
    params: query
  })
}
//新增检查任务
export function addCheckTask(data) {
  return request({
    url: '/check/checkTask',
    method: 'post',
    data: data
  })
}
//获取检查任务详细信息
export function getCheckTask(id) {
  return request({
    url: '/check/checkTask/' + id,
    method: 'get'
  })
}
//删除检查任务
export function delCheckTask(id) {
  return request({
    url: '/check/checkTask/' + id,
    method: 'delete'
  })
}
//根据被检查级别查询检查项目列表
export function getCheckProjectItemList(checkLevel) {
  return request({
    url: '/system/project/listByCheckLevel/' + checkLevel,
    method: 'get'
  })
}
